#include "campshopitem.h"

CampShopItem::CampShopItem(QObject *parent)
    :ShopItem(parent)
{
    m_unitPrice = QDecDouble(0);
    m_vatType = Enums::NONE;
}

QString CampShopItem::name()
{
    return "Camp";
}

QString CampShopItem::shortName()
{
    return "Camp";
}

QDecDouble CampShopItem::unitPrice()
{
    return m_unitPrice;
}

Enums::VatType CampShopItem::vatType()
{
    return m_vatType;
}

QString CampShopItem::pluginId()
{
    return "CAMP";
}

QString CampShopItem::code()
{
    return "Camp";
}

void CampShopItem::setUnitPrice(const QDecDouble &unitPrice)
{
    m_unitPrice = unitPrice;
}

void CampShopItem::setVatType(const Enums::VatType &vatType)
{
    m_vatType = vatType;
}

int CampShopItem::id()
{
    return m_id;
}

void CampShopItem::setId(int id)
{
    m_id = id;
}
